## From 0.8.* to 0.9

Make sure you view this update guide from the tag (version) of SecML you would like to install. 
In most cases this should be the highest numbered production tag (without rc in it).

To update the current `v0.8.*` version to `v0.9`, run the following steps:

### 1. Configuration file

The following new configuration settings are now available.
Please update your `$SECML_HOME_DIR/secml.conf` file if needed, 
otherwise default values will be used.

1. Added new section `[secml:pytorch]` to control the behaviour of the classes
   related to `pytorch` library support.  
   The following options are available:
     - `data_dir`. Directory for storing `pytorch` data. Default: `SECML_HOME_DIR/pytorch-data`.
     - `use_cuda`. True (default) if CUDA should be used by the `pytorch` wrapper.
     
### 2. Deprecations

The following classes, methods or functions are now deprecated.
- `CClassifierKDE`: use `CClassifierSkLearn` with `sklearn.neighbors.KernelDensity` instead
- `CClassifierMCSLinear`: use `CClassifierSkLearn` with `sklearn.ensemble.BaggingClassifier` instead
- `CPreProcess.revert()`: use `.inverse_transform()` method instead